process equationSolving =
     ( ? real a;
         real b;
         real c;
       ! real x2;
         real x1;
         boolean oc;
     )
  (| (| ( err, x21, x2, stable, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339) := SecondDegree_ABSTRACT(when (a/=0.0) , a, b,c) |)
   | (| ( x, err2, L61_PREDICATE) := FirstDegree_ABSTRACT( not (a/=0.0) ,b,c) |)
      | (| x1 := x21 default x
         | oc := (when err) default err2
         |)
      | a ^= b ^= c
      |)
   where 
   boolean err2, err, C_x, stable, OK, L277_PREDICATE, L283_PREDICATE, C_CLK_339,  L61_PREDICATE;
     
process FirstDegree_ABSTRACT =
     ( ? boolean Compute; 
         real b, c;
       ! real x; 
         boolean err2, L61_PREDICATE;
     )
     spec (| (| c --> x
              | c --> err2
              | b --> x
              | b --> err2
              | Compute --> x
              | Compute --> err2
              | b --> c
              | Compute --> b
              |)
           | (| Compute ^= b ^= c
              | [:Compute] ^= L61_PREDICATE
              | [/:L61_PREDICATE] ^= x
              | [:L61_PREDICATE] ^= err2
              |)
           |)
   pragmas 
      BlackBox "FirstDegree"
   end pragmas
   external "C"
; 
     
process SecondDegree_ABSTRACT =
     ( ? boolean OK; 
         real a, b, c;
       ! boolean err; 
         real x21, x2; 
         boolean stable, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339;
     )
     spec (| (| c --> err
              | c --> x21
              | c --> x2
              | b --> err
              | b --> x21
              | b --> x2
              | a --> OK
              | a --> err
              | a --> x21
              | a --> x2
              | b --> c
              | a --> b
              |)
           | (| stable ^= L283_PREDICATE ^= C_x ^= C_CLK_339
              | [:C_x] ^= x21
              | [:stable] ^= a ^= b ^= c
              | [:L283_PREDICATE] ^= x2
              | [/:a=0.0] ^= OK ^= L277_PREDICATE
              | [:L277_PREDICATE] ^= err
              |)
           | assert ( err )
           |)
   pragmas 
      BlackBox "SecondDegree"
   end pragmas
   external "C"
; 
     
   real x21, x;
   end
; 
