process SecondDegree_ABSTRACT =
     ( ? boolean OK; 
         real a, b, c;
       ! boolean err; 
         real x21, x2; 
         boolean stable, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339;
     )
   pragmas 
      GreyBox "SecondDegree"
   end pragmas
   (| (| (| stable ^= L283_PREDICATE ^= [:Tick] ^= C_x ^= C_CLK_339
          | [:C_x] ^= x21
          | [:stable] ^= a ^= b ^= c
          | [:L283_PREDICATE] ^= x2
          | [/:a=0.0] ^= OK ^= L277_PREDICATE
          | [:L277_PREDICATE] ^= err
          |) |)
    | (| L351_nlabel :: (err, x21, x2, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339) := SecondDegree_Cluster_1()
       | L351_nlabel ^= [:Tick]
       |)
    | (| L352_nlabel :: SecondDegree_Cluster_2(c)
       | L352_nlabel ^= [:stable]
       |)
    | (| L353_nlabel :: SecondDegree_Cluster_3(b)
       | L353_nlabel ^= [:stable]
       |)
    | (| L354_nlabel :: SecondDegree_Cluster_4(a)
       | L354_nlabel ^= [:Tick]
       |)
    | (| L380_nlabel :: stable := SecondDegree_STATES()
       | L380_nlabel ^= [:Tick]
       |)
    | (| OK --> L351_nlabel
       | c --> L351_nlabel
       | b --> L351_nlabel
       | a --> L351_nlabel
       | L352_nlabel --> L353_nlabel
       | L352_nlabel --> L351_nlabel
       | c --> L352_nlabel
       | L353_nlabel --> L351_nlabel
       | b --> L353_nlabel
       | L354_nlabel --> L353_nlabel
       | L354_nlabel --> L352_nlabel
       | L354_nlabel --> L351_nlabel
       | c --> L354_nlabel
       | a --> L354_nlabel
       | L354_nlabel --> L380_nlabel
       | L353_nlabel --> L380_nlabel
       | L352_nlabel --> L380_nlabel
       | L351_nlabel --> L380_nlabel
       |)
    |)
   where 
   event Tick; 
   label L351_nlabel, L352_nlabel, L353_nlabel, L354_nlabel, L380_nlabel; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err; 
            real x21; 
            real x2; 
            boolean L277_PREDICATE; 
            boolean L283_PREDICATE; 
            boolean C_x; 
            boolean C_CLK_339;
        )
      pragmas 
         Cluster {a,b,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_2 =
        ( ? real c;
        )
      pragmas 
         Cluster {a,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_3 =
        ( ? real b;
        )
      pragmas 
         Cluster {a,b}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
        )
      pragmas 
         Cluster {a}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_STATES =
        ( ! boolean stable init true;
        )
      pragmas 
         DelayCluster
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   ;
   end
; 
