process SecondDegree_ABSTRACT =
     ( ? boolean OK; 
         real a, b, c;
       ! boolean err; 
         real x21, x2; 
         boolean stable, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339;
     )
     spec (| (| c --> err
              | c --> x21
              | c --> x2
              | b --> err
              | b --> x21
              | b --> x2
              | a --> OK
              | a --> err
              | a --> x21
              | a --> x2
              | b --> c
              | a --> b
              |)
           | (| stable ^= L283_PREDICATE ^= C_x ^= C_CLK_339
              | [:C_x] ^= x21
              | [:stable] ^= a ^= b ^= c
              | [:L283_PREDICATE] ^= x2
              | [/:a=0.0] ^= OK ^= L277_PREDICATE
              | [:L277_PREDICATE] ^= err
              |)
           | assert ( err )
           |)
   pragmas 
      BlackBox "SecondDegree"
   end pragmas
   external "C"
; 
